classification
Title: Deprecating (and removing) "globalcall", "merge" and "globaleval"
Type: enhancement Stage: resolved
Components: Tkinter Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: asvetlov Nosy List: BreamoreBoy, asvetlov, eric.araujo, gpolo, python-dev
Priority: normal Keywords: patch

Created on 2009-02-03 01:04 by gpolo, last changed 2012-03-31 16:42 by asvetlov. This issue is now closed.

Files
File name Uploaded Description Edit
issue5136.diff asvetlov, 2012-03-31 15:35 review
Messages (11)
msg81021 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-02-03 01:04
Hi, I'm going to try explaining in short why I think each of these
functions in _tkinter could be marked as deprecated and then removed on
2.8 (if it is decided to do it) and 3.1.

globalcall: It is not used anywhere in tkinter. It was abandoned, and
doesn't work in the same situations where "call" would work (with
threads). It doesn't care about converting the result to a proper python
object -- it is always a string (another result of the abandonment).
"call" already works in the Tcl global space, because it needs to do so
(see issue1581476). Even tcl 8.2 says Tcl_GlobalEval (the root of
"globalcall") is old and deprecated.

merge: globalcall depends on merge, but removing globalcall makes merge
obsolete. It is not used by tkinter either. Searching for "tk.merge" on
google codesearch returns a single result dating back python 1.1!

globaleval: Uses Tcl_GlobalEval too. I haven't seen it being used,
instead I always see eval being used.
msg108190 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-06-19 17:53
From the recent large thread on c.l.py regarding Python GUIs I understand that the author of this issue Guilherme Polo has done a massive amount of work on Tkinter.  Would it therefore be possible for him to give an update as to whether this issue can be closed as out of date, already actioned but not recorded, or whatever?  Thanks.

There are several other issues raised by Guilherme Polo regarding Tkinter, sorry I'm too lazy to repeat this comment on all of them.
msg111723 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-07-27 20:14
Is it still possible to get this into 3.2 and have them remove in 3.3?
msg111784 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-07-28 10:50
Guilherme, I suggest you ask about that on pydev and/or idle-dev, or just commit the addition of PendingDeprecationWarnings and wait for reactions.
msg156543 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-03-22 05:26
Andrew, you can take over this issue if you want.  As you’ve discovered with #3035, our deprecation process is a bit unclear (this was discussed on python-dev a few months ago), so using PendingDeprecationWarning vs. DeprecationWarning is a judgment call.
msg157180 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-03-31 12:07
Will do.
msg157197 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-03-31 15:35
Attaching the patch to make depredations.
msg157198 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-03-31 16:00
LGTM (looks good to me).  In your NEWS entry, you don’t have to copy the whole explanation, just say something like “deprecated old, unused functions” and interested people will be able to come here read the details.  In your commit message, be sure to say that the patch does not add deprecation notices in the doc because the functions are undocumented.
msg157202 - (view) Author: Roundup Robot (python-dev) Date: 2012-03-31 16:37
New changeset 6023d73c6f87 by Andrew Svetlov in branch 'default':
fix issue #5136: deprecate old unused functions from tkinter.
http://hg.python.org/cpython/rev/6023d73c6f87
msg157204 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-03-31 16:41
Pushed deprecation warnings into default branch.
#14446 updated to add those function to remove list for 3.4 release.
msg157205 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-03-31 16:42
Thanks to Guilherme Polo for idea and to Éric Araujo for review.
History
Date User Action Args
2012-03-31 16:42:11asvetlovsetmessages: + msg157205
2012-03-31 16:41:23asvetlovsetstatus: open -> closed
resolution: fixed
messages: + msg157204

stage: patch review -> resolved
2012-03-31 16:37:15python-devsetnosy: + python-dev
messages: + msg157202
2012-03-31 16:00:20eric.araujosetmessages: + msg157198
2012-03-31 15:35:43asvetlovsetfiles: + issue5136.diff
keywords: + patch
messages: + msg157197

stage: patch review
2012-03-31 12:07:16asvetlovsetassignee: asvetlov
messages: + msg157180
2012-03-22 05:26:17eric.araujosetmessages: + msg156543
2012-03-21 17:12:37asvetlovsetnosy: + asvetlov

versions: + Python 3.3, - Python 3.2
2010-07-28 10:50:40eric.araujosetnosy: + eric.araujo
messages: + msg111784
2010-07-27 20:14:40BreamoreBoysettype: enhancement
messages: + msg111723
versions: + Python 3.2, - Python 3.0, Python 2.7
2010-06-19 17:53:20BreamoreBoysetnosy: + BreamoreBoy
messages: + msg108190
2009-02-03 01:04:47gpolocreate